Bug 1690194 - template-service-broker-operator is tsb-operator in origin, is not being built, and has no CI
Summary: template-service-broker-operator is tsb-operator in origin, is not being buil...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Service Broker
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.1.0
Assignee: Shawn Hurley
QA Contact: Zhang Cheng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-19 01:12 UTC by Clayton Coleman
Modified: 2019-06-04 10:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:46:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:46:10 UTC

Description Clayton Coleman 2019-03-19 01:12:04 UTC
Image names must be consistent between origin and OCP and have CI.  Please either disable template-service-broker-operator from OSBS builds or get origin CI working and rename the image to match.

This is must fix - you may not have images published to ose-* that do not have origin CI.

Comment 1 Zhang Cheng 2019-03-19 03:07:06 UTC
We have similar bug. FYI. https://bugzilla.redhat.com/show_bug.cgi?id=1685417

Comment 2 Shawn Hurley 2019-03-20 12:59:59 UTC
PR to fix names of ASB, ASBO, and TSBO: https://github.com/openshift/release/pull/3145

PRs to add CI are coming

Comment 3 Shawn Hurley 2019-03-21 14:16:30 UTC
Marking this as done. The names have been updated and the CI tests are on their way. This should not block a release.

Comment 6 Zhang Cheng 2019-03-22 09:30:35 UTC
Shawn, please share and correct me if I have a mistake. Thanks.

Comment 7 Zhang Cheng 2019-03-25 07:59:24 UTC
Shawn, could you help to double confirm? Thanks.

Comment 8 Shawn Hurley 2019-03-25 13:03:23 UTC
Hi, 

I don't believe this is correct

https://github.com/openshift/release/tree/master/ci-operator/config/openshift/ansible-service-broker -> which does upstream stuff.
https://github.com/openshift/release/tree/master/ci-operator/config/openshift/template-service-broker-operator

I think it is probably important to note that these will not be apart of the released payload for openshift 4.0 as I understand it as they are optional installs.

Comment 9 Zhang Cheng 2019-03-26 01:56:56 UTC
Shawn, thanks.

Comment 11 errata-xmlrpc 2019-06-04 10:46:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.